Bug 21145 - The "Column visibility" button should not be displayed at the OPAC
Summary: The "Column visibility" button should not be displayed at the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 7547
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-02 06:44 UTC by Josef Moravec
Modified: 2018-09-21 10:29 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21145: Do not show buttons for datatables on opac detail page (2.18 KB, patch)
2018-08-02 06:56 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21145: Do not show buttons for datatables on opac detail page (2.23 KB, patch)
2018-08-02 18:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21145: Do not show buttons for datatables on opac detail page (2.31 KB, patch)
2018-08-02 18:54 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2018-08-02 06:44:28 UTC
See Bug 7547 Comment 17
Comment 1 Josef Moravec 2018-08-02 06:56:53 UTC
Created attachment 77422 [details] [review]
Bug 21145: Do not show buttons for datatables on opac detail page

Test plan:
0) Do not apply the patch
1) Go to opac detail page
2) There are up to three datatables
    - items
    - items from other branches (only if there are any and the OpacSeparateHoldings preference is set)
    - subscriptions
3) try to find record with all three tables and confirm, there is button
"Columns visibility" above the table
4) Apply the patch
5) Repeat 1-3 and confirm the button is no more here
Comment 2 Jonathan Druart 2018-08-02 14:29:09 UTC
Josef, this 'B' has not been added by 7547, did you understand why it comes from it?
Comment 3 Owen Leonard 2018-08-02 17:07:14 UTC
Bug 16759 - Make OPAC holdings table configurable

It would be nice if we could make it so that if all columns were marked "Cannot be toggled" in Administration->Columns configuration, the column visibility button wouldn't appear.

I'd say this bug should either be repurposed for that goal or marked invalid.
Comment 4 Jonathan Druart 2018-08-02 17:36:11 UTC
There is an ergonomic issue: https://screenshots.firefox.com/Boc5Au4AfMnN9O1F/catalogue.kohadev.org

It is fixed by this patch and restore the behavior pre-bug 7547.

IMO we should have it as it and then see if it needs to be improved.
Comment 5 Owen Leonard 2018-08-02 17:58:11 UTC
(In reply to Owen Leonard from comment #3)
> Bug 16759 - Make OPAC holdings table configurable

Sorry, I misunderstood the root of the problem. Bug 16759 didn't seek to add the columns configuration button.
Comment 6 Owen Leonard 2018-08-02 18:05:07 UTC
Created attachment 77456 [details] [review]
Bug 21145: Do not show buttons for datatables on opac detail page

Test plan:
0) Do not apply the patch
1) Go to opac detail page
2) There are up to three datatables
    - items
    - items from other branches (only if there are any and the OpacSeparateHoldings preference is set)
    - subscriptions
3) try to find record with all three tables and confirm, there is button
"Columns visibility" above the table
4) Apply the patch
5) Repeat 1-3 and confirm the button is no more here

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 7 Owen Leonard 2018-08-02 18:06:59 UTC
Bug 16759 added the "B" dom configuration, but didn't add the corresponding button plugin. When Bug 7547 updated DataTables to include the button plugin the button appeared.
Comment 8 Jonathan Druart 2018-08-02 18:54:31 UTC
Created attachment 77458 [details] [review]
Bug 21145: Do not show buttons for datatables on opac detail page

Test plan:
0) Do not apply the patch
1) Go to opac detail page
2) There are up to three datatables
    - items
    - items from other branches (only if there are any and the OpacSeparateHoldings preference is set)
    - subscriptions
3) try to find record with all three tables and confirm, there is button
"Columns visibility" above the table
4) Apply the patch
5) Repeat 1-3 and confirm the button is no more here

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Josef Moravec 2018-08-03 05:46:22 UTC
Thank you both for so quick testing!
Comment 10 Nick Clemens 2018-08-08 21:34:13 UTC
Awesome work all!

Pushed to master for 18.11
Comment 11 Martin Renvoize 2018-08-09 10:24:22 UTC
Pushed to 18.05.x for 18.05.03
Comment 12 Fridolin SOMERS 2018-09-21 10:29:51 UTC
Depends on Bug 7547 not in 17.11.x